// Menus 
function vw_lifestyle_blog_menu_open_nav() {
  jQuery(".sidenav").addClass('show');
}
function vw_lifestyle_blog_menu_close_nav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function vw_lifestyle_blog_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const vw_lifestyle_blog_nav = document.querySelector( '.sidenav' );

      if ( ! vw_lifestyle_blog_nav || ! vw_lifestyle_blog_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...vw_lifestyle_blog_nav.querySelectorAll( 'input, a, button' )],
        vw_lifestyle_blog_lastEl = elements[ elements.length - 1 ],
        vw_lifestyle_blog_firstEl = elements[0],
        vw_lifestyle_blog_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && vw_lifestyle_blog_lastEl === vw_lifestyle_blog_activeEl ) {
        e.preventDefault();
        vw_lifestyle_blog_firstEl.focus();
      }

      if ( shiftKey && tabKey && vw_lifestyle_blog_firstEl === vw_lifestyle_blog_activeEl ) {
        e.preventDefault();
        vw_lifestyle_blog_lastEl.focus();
      }
    } );
  }
  vw_lifestyle_blog_keepFocusInMenu();
} )( window, document );

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
  // Sticky Copyright
  $(window).scroll(function(){
    var sticky = $('.copyright-sticky'),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass('copyright-fixed');
    else sticky.removeClass('copyright-fixed');
  });
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// search
jQuery(document).ready(function () {
    function vw_lifestyle_blog_search_loop_focus(element) {
    var vw_lifestyle_blog_focus = element.find('select, input, textarea, button, a[href]');
    var vw_lifestyle_blog_firstFocus = vw_lifestyle_blog_focus[0];  
    var vw_lifestyle_blog_lastFocus = vw_lifestyle_blog_focus[vw_lifestyle_blog_focus.length - 1];
    var KEYCODE_TAB = 9;

    element.on('keydown', function vw_lifestyle_blog_search_loop_focus(e) {
      var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

      if (!isTabPressed) { 
        return; 
      }

      if ( e.shiftKey ) /* shift + tab */ {
        if (document.activeElement === vw_lifestyle_blog_firstFocus) {
          vw_lifestyle_blog_lastFocus.focus();
            e.preventDefault();
          }
        } else /* tab */ {
        if (document.activeElement === vw_lifestyle_blog_lastFocus) {
          vw_lifestyle_blog_firstFocus.focus();
            e.preventDefault();
          }
        }
    });
  }
  jQuery('.search-box span a').click(function(){
      jQuery(".serach_outer").slideDown(1000);
      vw_lifestyle_blog_search_loop_focus(jQuery('.serach_outer'));
  });

  jQuery('.closepop a').click(function(){
      jQuery(".serach_outer").slideUp(1000);
  });
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_lifestyle_blog_progressBar =
        document.getElementById("vw_lifestyle_blog_elemento_progress_bar");
    if (!vw_lifestyle_blog_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_lifestyle_blog_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_lifestyle_blog_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_lifestyle_blog_scrolled =
            (vw_lifestyle_blog_scrollTop / vw_lifestyle_blog_height) * 100;
        vw_lifestyle_blog_progressBar.style.width =
            vw_lifestyle_blog_scrolled + "%";
    });
});
